From 61c55c1cd8feb544186859d482ba986eee117d6a Mon Sep 17 00:00:00 2001
From: David Holsgrove <david.holsgrove@xilinx.com>
Date: Fri, 14 Feb 2014 09:36:45 +1000
Subject: [PATCH] [Patch, testsuite]: Extend .weak pattern in regex match

Extend regex pattern to include optional 'ext' at the end of
'.weak' to match the MicroBlaze weak label '.weakext', or optional
'_definition' to match the darwin '.weak_definition' pattern,
which removes the need for separate darwin tests.

ChangeLog/testsuite

2014-02-14  David Holsgrove <david.holsgrove@xilinx.com>

 * gcc/testsuite/g++.dg/abi/rtti3.C: Extend scan-assembler
   pattern to take optional pattern and remove darwin test.
 * gcc/testsuite/g++.dg/abi/thunk3.C: Likewise.
 * gcc/testsuite/g++.dg/abi/thunk4.C: Likewise.

Signed-off-by: David Holsgrove <david.holsgrove@xilinx.com>

fix tests

Signed-off-by: David Holsgrove <david.holsgrove@xilinx.com>
---
 gcc/testsuite/g++.dg/abi/rtti3.C  |    6 ++----
 gcc/testsuite/g++.dg/abi/thunk3.C |    3 +--
 gcc/testsuite/g++.dg/abi/thunk4.C |    3 +--
 3 files changed, 4 insertions(+), 8 deletions(-)

diff --git a/gcc/testsuite/g++.dg/abi/rtti3.C b/gcc/testsuite/g++.dg/abi/rtti3.C
index c03e461..2318dd9 100644
--- a/gcc/testsuite/g++.dg/abi/rtti3.C
+++ b/gcc/testsuite/g++.dg/abi/rtti3.C
@@ -3,10 +3,8 @@
 
 // { dg-require-weak "" }
 // { dg-skip-if "Linkonce not weak" { *-*-mingw* *-*-cygwin } { "*" } { "" } }
-// { dg-final { scan-assembler ".weak\[ \t\]_?_ZTSPP1A" { target { ! { *-*-darwin* } } } } }
-// { dg-final { scan-assembler-not ".weak\[ \t\]_?_ZTIPP1A" { target { ! { *-*-darwin* } } } } }
-// { dg-final { scan-assembler ".weak_definition\[ \t\]_?_ZTSPP1A" { target { *-*-darwin* } } } }
-// { dg-final { scan-assembler-not ".weak_definition\[ \t\]_?_ZTIPP1A" { target { *-*-darwin* } } } }
+// { dg-final { scan-assembler ".weak(_definition)?(ext)?\[ \t\]_?_ZTSPP1A" } }
+// { dg-final { scan-assembler-not ".weak(_definition)?(ext)?\[ \t\]_?_ZTIPP1A" } }
 
 struct A;
 
diff --git a/gcc/testsuite/g++.dg/abi/thunk3.C b/gcc/testsuite/g++.dg/abi/thunk3.C
index f2347f7..ef872ee 100644
--- a/gcc/testsuite/g++.dg/abi/thunk3.C
+++ b/gcc/testsuite/g++.dg/abi/thunk3.C
@@ -1,6 +1,5 @@
 // { dg-require-weak "" }
-// { dg-final { scan-assembler-not ".weak\[\t \]_?_ZThn._N7Derived3FooEv" { target { ! { *-*-darwin* } } } } }
-// { dg-final { scan-assembler-not ".weak_definition\[\t \]_?_ZThn._N7Derived3FooEv" { target { *-*-darwin* } } } }
+// { dg-final { scan-assembler-not ".weak(_definition)?(ext)?\[\t \]_?_ZThn._N7Derived3FooEv" } }
 
 struct Base 
 {
diff --git a/gcc/testsuite/g++.dg/abi/thunk4.C b/gcc/testsuite/g++.dg/abi/thunk4.C
index fa5fbd4..a1e96b9 100644
--- a/gcc/testsuite/g++.dg/abi/thunk4.C
+++ b/gcc/testsuite/g++.dg/abi/thunk4.C
@@ -1,7 +1,6 @@
 // { dg-require-weak "" }
 // { dg-skip-if "Linkonce not weak" { *-*-mingw* *-*-cygwin } { "*" } { "" } }
-// { dg-final { scan-assembler ".weak\[ \t\]_?_ZThn._N7Derived3FooEv" { target { ! { *-*-darwin* } } } } }
-// { dg-final { scan-assembler ".weak_definition\[ \t\]_?_ZThn._N7Derived3FooEv" { target { *-*-darwin* } } } }
+// { dg-final { scan-assembler ".weak(_definition)?(ext)?\[ \t\]_?_ZThn._N7Derived3FooEv" } }
 
 struct Base 
 {
-- 
1.7.9.5

